## org.apache.tools.ant.taskdefs
Class LogStreamHandler

    java.lang.Object
      org.apache.tools.ant.taskdefs.PumpStreamHandler
          org.apache.tools.ant.taskdefs.LogStreamHandler

All Implemented Interfaces:
  ExecuteStreamHandler

    public class LogStreamHandler

extends PumpStreamHandler

Logs standard output and error of a subprocess to the log system of ant.

Since:
  Ant 1.2

Constructor Summary
`LogStreamHandler(ProjectComponent pc, int outlevel, int errlevel)` Creates log stream handler
`LogStreamHandler(Task task, int outlevel, int errlevel)` Creates log stream handler

Method Summary
`void` `stop()` Stop the log stream handler.

Methods inherited from class org.apache.tools.ant.taskdefs.PumpStreamHandler
`createProcessErrorPump, createProcessOutputPump, createPump, createPump, getErr, getOut, setProcessErrorStream, setProcessInputStream, setProcessOutputStream, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogStreamHandler

    public LogStreamHandler(Task task,
                            int outlevel,
                            int errlevel)

  Creates log stream handler

  Parameters:
    `task` - the task for whom to log
    `outlevel` - the loglevel used to log standard output
    `errlevel` - the loglevel used to log standard error

### LogStreamHandler

    public LogStreamHandler(ProjectComponent pc,
                            int outlevel,
                            int errlevel)

  Creates log stream handler

  Parameters:
    `pc` - the project component for whom to log
    `outlevel` - the loglevel used to log standard output
    `errlevel` - the loglevel used to log standard error

Method Detail

### stop

    public void stop()

  Stop the log stream handler.

  Specified by:
    `stop` in interface `ExecuteStreamHandler`
  Overrides:
    `stop` in class `PumpStreamHandler`